package com.javadude.week1207

// import on demand IS EVIL
//    https://www.javadude.com/posts/20040522-import-on-demand-is-evil/

// DO NOT USE!!!
// ALWAYS USE EXPLICIT IMPORTS!!!

import myui.* // if compiler sees an identifier that it doesn't recognize, look in this package
import myutil.*
    // resolved strictly at compile time
    // generated bytecode will contain explicit name

fun main() {
    // seems ok right now...
//    val list = MyList() // after MyList added to myutil - ambiguous
    val vector = MyVector()
}

// but what happens if I create a MyList class in myutil?

// In Java 1.0
//    java.awt.List
//    java.util.Vector

// everyone did
//    import java.util.*
//    import java.awt.*

// in Java 1.2
//    added java.util.List



